[linux-dvb] probs with af901x on mythbuntu

Antti Palosaari crope at iki.fi
Mon May 5 17:48:47 CEST 2008


pjama wrote:
> Hi Antti,
> 
> Antti Palosaari wrote:
>> pjama wrote:
>>> Do you mean in /lib/firmware/kernel.... ? Do you have a copy of the 
>>> latest firmware. I think my source may be suspect.
>> /lib/firmware/
>> /lib/firmware/kernel<version>/
>>
>> I think both are OK, but other is loaded bigger priority by kernel. I 
>> think directory with kernel version has looked first. You have 4.73.0 in 
>> other directory and other has 4.95.0 ?
>>
>> Different firmware files can be found from:
>> http://www.otit.fi/~crope/v4l-dvb/af9015/af9015_firmware_cutter/firmware_files/ 
>>
> 
> OK I have no firmware in /lib/firmware, it is all in the kernel directory. I have copied the file from the above URL which is the one I've been using and I still get "af9013: firmware version:4.73.0" in dmesg. Full 9015 relevant dmesg below.

Is that possible that you are looking firmware file from wrong 
directory? I mean that you have for example /lib/firmware/kernel-2.6.1/ 
and /lib/firmware/kernel-2.6.2/ other having 4.73 and the other 4.95? 
Remove all af9015 firmwares from kernel-x.x.x directories and leave 
4.95.0 to /lib/firmware/. Then take unplug stick and boot machine and 
plug stick again.

I see from dmesg log that firmware copy to 2nd frontend fails. This is 
due to fact that currently driver has hard coded checksum for 4.95.0.

> I'm not sure it's a problem at this point as I've at least got TV but you may be interested from a developer point of view as there are a few errors in the dmesg.
> 
> On a related note: What are the chances of getting the remote that came with the usb stick working? It's this one:
> http://www.digitalnow.com.au/images/ProRemote.jpg

It should be polled. There is code for than in the driver already, but 
it is disabled currently.

> 
> Thanks for all your efforts
> 
> Peter

Antti
-- 
http://palosaari.fi/



More information about the linux-dvb mailing list